Subject: [Hipsec-rg] HIP4BSD source code
From: [email-masked] (Jan Mikael Melen)
Date: Sat Apr 9 05:19:01 2005

On Friday 08 April 2005 17:38, Pekka Nikander wrote:
>
> Somebody else needs to clear out the problem with IPv6.

The IPv6 seems to work okay at least today so I think it has just been a 
temprary problem with the network. I tested the connection with freenet6.

   Jan

From: [email-masked] (Pekka Nikander)
Date: Fri Apr  8 13:33:01 2005
Subject: [Hipsec-rg] HIP4BSD source code
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

Andrei,

> Good news. Does it include the HIP proxy as well? If not any news 
> about its licensing? Have you tried to interoperate the proxy with 
> other HIP implementations?

As far as I know (but I may be wrong), it does not currently include
the proxy.  The license is still the Ericsson Finland license, which
is quite similar to the Mozilla license, IIRC.   I don't know if we
have tried interoperability the the proxy, but I don't see any reasons
why it wouldn't work since it is using the regular HIP code at the
HIP side.

Somebody else needs to clear out the problem with IPv6.

--Pekka

From: [email-masked] (Andrei Gurtov)
Date: Thu Apr  7 05:22:01 2005
Subject: [Hipsec-rg] HIP4BSD source code
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

Hi,

Good news. Does it include the HIP proxy as well? If not any news about 
its licensing? Have you tried to interoperate the proxy with other HIP 
implementations?

About the testserver, it seems ping doesn't reach v6 server:

[gurtov@hipserver bin]$ ping6 woodstock6.hip4inter.net
PING woodstock6.hip4inter.net(2001:14b8:400::133) 56 data bytes
 From ericsson1-gw.ip6.kv9.net icmp_seq=2 Destination unreachable: 
Address unreachable
 From ericsson1-gw.ip6.kv9.net icmp_seq=6 Destination unreachable: 
Address unreachable

Andrei

Jan Mikael Melen wrote:

>Hi,
>
>There is now available new version of the HIP4BSD source code at 
>http://www.hip4inter.net/
>
>We have also a HIP test server running at our lab. The HIT of that server can 
>be resolved from the AAAA record of either woodstock4.hip4inter.net or 
>woodstock6.hip4inter.net. Naturally the woodstock4 resolves also as an IPv4 A 
>record and woodstock6 resolves as an IPv6 AAAA record. On error during the 
>base exchange an NOTIFY message will be sent and approriate error code is 
>set.
>
>Both the code at hip4inter.net and the test server are implementing the 
>draft-ietf-base-01 draft.
>
>  Regards,
>    Jan
>_______________________________________________
>Hipsec-rg mailing list
>[email-masked]
>http://honor.trusecure.com/mailman/listinfo/hipsec-rg
>  
>

From: [email-masked] (Andrei Gurtov)
Date: Thu Apr  7 03:56:01 2005
Subject: [Hipsec-rg] Re: HIP: libinet6 bug
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

Per-

Hopefully your problem has been solved on the hipl-users mailing list.

Nice to hear that more people are starting to look at HIP. I cc this 
mail to the IRTF group mailing list.
Perhaps you could attend the next group meeting in the IETF in Paris in 
the first week of August.
Please keep us updated about your work.

Andrei

Per Toft wrote:

>Dear Andrei
>
>We are a three engineer students working on an HIP evaluation project.
>
>Unfortunately we have encountered a problem... Hope you can/will help
>us.
>
>We are currently using release 0.1.2. We have successfully installed the
>HIP-enabled Kernel and the user-space tools. Also it has been possible
>top perform a HIP-base exchange, however as we tried to install the
>telnetd, telnet, tcpdump & etherreal, we encountered problems with
>libinet6.
>
>  
>
[skipped]

> 
>Best regards
>Lars, Gustav & Per
>
>Aalborg University
>Department of Communication technology
>Denmark
>
>
>  
>

From: [email-masked] (Pekka Nikander)
Date: Wed Apr  6 06:43:01 2005
Subject: [Hipsec-rg] HIP RG Minneapolis draft minutes
Message-ID: <[email-masked]>

--Apple-Mail-12--814512251
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
	charset=US-ASCII;
	format=flowed

Enclosed draft minutes for the Minneapolis HIP RG meeting.
They are at a fairly high level, mostly based on my own failing
memory.  Please send any additions, corrections, or comments
by Thursday night; I'll incorporate them on Friday during
my flights (off-line from 6am GMT of Friday morning) and
I'll send them to the secretariat then later that day.

--Pekka

--Apple-Mail-12--814512251
Content-Transfer-Encoding: 7bit
Content-Type: text/html;
	x-unix-mode=0644;
	name="ietf62_hiprg_minutes.html"
Content-Disposition: attachment;
	filename=ietf62_hiprg_minutes.html

<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>

  <title>IETF-62 HIP RG minutes</title>

  <meta http-equiv="Content-Language" content="en" />
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <style type="text/css">
    body {
      margin-left: 10%;
      margin-right: 10%;
      font-family: sans-serif;
      color: black;
      background: white;
    } 
    span.sc {
      color: red;
    }
    dd p {
      margin: 0;
    }
    dd ul {
      margin: 0;
    }
    dt {
      margin-top: 1em;
      margin-left: 1.5em;
    }
    p.note {
      color: green;
    }
  </style>

</head>

<body bgcolor="white" text="black">

<div><!-- main -->

<h1>Host Identity Protocol Research Group (HIP RG)</h1>

<p>These are the informal minutes for the Host Identity Protocol
  Research Group (HIP RG) meeting, held after the 62nd IETF meeting on
  Friday, March 11, at Minneapolis Hilton.  Thanks to Mika Kousa for
  his notes, on which these minutes are partially based on.  Note
  that these minutes do <em>not</em> follow the typical IETF minutes
  format, transcribing the discussion, but is are on a more
  superficial level.</p>

<p>There were three major topics discussed in the meeting:
<ul>
  <li><a href="#nat">NAT and middlebox traversal</a></li>
  <li><a href="#api">API and upper layer identifier issues</a></li>
  <li><a href="#projects">Updates of ongoing HIP-related projects</a></li>
</ul>
</p>

<div id="nat">
<a name="nat"></a><h2>NAT and middlebox traversal</h2>

<p>A major part of the discussion went, once again, clarifying the
  difference between the two fundamentally separate approaches to
  NATs:
  <ul>
    <li>
      <p>Firstly, HIP seems to have some potential in integrating NATs
	and firewalls into the architecture, making them and other
	similar middle boxes as first class citizens.  Furthermore, it
	looks like that this can be done without violating or
	compromising the end-to-end principle, at least too much; in
	other words, the design of HIP allows the end-to-end HIP
	signalling messages to be inspected by middle boxes, allowing
	the middle boxes to do whatever they need to do.</p>
      
      <p>This approach is sometimes called <em>architected NAT</em>,
      or <em>SPI-NAT</em>.</p>
    </li>
    <li>
      <p>Secondly, as discussed and more-or-less decided at the
      November Washington DC workshop and RG meeting, it looks
      desirable to make HIP to work with current legacy NATs.  There
      are multiple ways of doing this.  Some people prefer to run HIP
      over IPv6, and then let any IPv6 tunneling thing (Teredo etc) to
      deal with NATs.  Other people would prefer to be able to run HIP
      natively through NATs; the <em>PATH</em> work is aiming for
      this.</p>
      <p>This approach is usually called <em>legacy NAT</em>
      traversal.</em> </p>
  </ul>
</p>

<p>Even though there seems to be some controversy on what is the best
  way of dealing with legacy NATs with HIP, it looks best to continue
  in parallel on multiple fronts.  Many people felt that the PATH work
  is important and worth doing, and a potential WG item at next
  rechartering.  Some people would prefer to go the IPv6 way.  The
  best option would most probably be if both are implemented and
  tested in practise.  That would give information on how best go
  forward. </p>

<p>It was decided to adopt draft-stiemerling-hip-nat-03.txt as a
  research group work item, on the condition that a section clearly
  explaining the applicability of the draft is added.</p>

</div>

<div id="api">
<a name="api"></a><h2>API and upper layer identifier issues</h2>

<p>In the API discussion covered varied ground from Miika Komu's
  update on his Native HIP API to Pekka Nikander's new ideas on how to
  integrate Service and perhaps also Session identifiers on the top of
  HIP.  Much of the more recent work is based on the idea of
  delegation; for example, service identifiers, network mobility, and
  application mobility all need delegation as a basic component.</p>

<p>One additional half-baked conclusion from the discussion was that
  adding a true host-layer to the stack seems to necessicate
  relocating much of the transport layer functionality, including
  congestion control.  It also looks like that the ideas about
  sessions and their properties should be given weight in future
  research.</p>

</div>

<div id="api">
<a name="api"></a><h2>Updates on on-going HIP-related projects</h2>

<p>This part of the meeting mostly conveyed information about ongoing
  efforts, including the InfraHIP, Ambient Networks, and the Boeing
  Secure Mobile Architecture (SMA) projects.  See the slides for more
  information.</p>

</div>

--Apple-Mail-12--814512251--

From: [email-masked] (Henderson, Thomas R)
Date: Tue Apr  5 12:06:01 2005
Subject: [Hipsec-rg] RE: Changing HIP RG co-chair
Message-ID: <[email-masked]>

Based on the feedback received by Pekka and me, I believe that we have
obtained consensus on replacing Pekka with Andrei as HIP RG co-chair.

Aaron, can you please make the change?

Thanks,
Tom

> -----Original Message-----
> From: Pekka Nikander [mailto:[email-masked]]=20
> Sent: Monday, March 21, 2005 5:12 AM
> To: [email-masked]
> Cc: Henderson, Thomas R; Aaron Falk; Andrei Gurtov
> Subject: Changing HIP RG co-chair
>=20
> Folks,
>=20
> Due to my recently increased IETF workload I would like to=20
> step down from co-chairing the HIP RG.  Tom is planning to=20
> continue.  According to RFC2014 Section 4, new Research Group=20
> chairs are chosen by the IRTF Chair in consultation with the Group.
>=20
> I have discussed the issue with Tom and Aaron (the new IRTF=20
> chair), and we are proposing to the group that new co-chair,=20
> replacing me, would be Andrei Gurtov from Helsinki Institute=20
> for Information Technology.
>=20
> What do other people in the RG think?  Feel free to reply=20
> either do the list or privately to Aaron / Tom / me.
>=20
> --Pekka
>=20
>=20

From: [email-masked] (Jan Mikael Melen)
Date: Sat Apr  2 04:55:00 2005
Subject: [Hipsec-rg] HIP4BSD source code
Message-ID: <[email-masked]>

Hi,

There is now available new version of the HIP4BSD source code at 
http://www.hip4inter.net/

We have also a HIP test server running at our lab. The HIT of that server can 
be resolved from the AAAA record of either woodstock4.hip4inter.net or 
woodstock6.hip4inter.net. Naturally the woodstock4 resolves also as an IPv4 A 
record and woodstock6 resolves as an IPv6 AAAA record. On error during the 
base exchange an NOTIFY message will be sent and approriate error code is 
set.

Both the code at hip4inter.net and the test server are implementing the 
draft-ietf-base-01 draft.

  Regards,
    Jan